Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.etsi.uri._01903.v1_3
Class CRLIdentifierType

    java.lang.Object
      org.etsi.uri._01903.v1_3.CRLIdentifierType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-02-02T03:42:11+01:00",
               comments="JAXB RI v2.2.11")
    public class CRLIdentifierType

extends Object
implements Serializable

Java class for CRLIdentifierType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CRLIdentifierType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Issuer" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="IssueTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="Number" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
           </sequence>
           <attribute name="URI" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CRLIdentifierType()`

Method Summary
`String` | `getIssuer()` Gets the value of the issuer property.
`org.joda.time.DateTime` | `getIssueTime()` Gets the value of the issueTime property.
`BigInteger` | `getNumber()` Gets the value of the number property.
`String` | `getURI()` Gets the value of the uri property.
`void` | `setIssuer(String value)` Sets the value of the issuer property.
`void` | `setIssueTime(org.joda.time.DateTime value)` Sets the value of the issueTime property.
`void` | `setNumber(BigInteger value)` Sets the value of the number property.
`void` | `setURI(String value)` Sets the value of the uri property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CRLIdentifierType

    public CRLIdentifierType()

Method Detail

### getIssuer

    public String getIssuer()

  Gets the value of the issuer property.

  Returns:
    possible object is `String`

### setIssuer

    public void setIssuer(String value)

  Sets the value of the issuer property.

  Parameters:
    `value` - allowed object is `String`

### getIssueTime

    public org.joda.time.DateTime getIssueTime()

  Gets the value of the issueTime property.

  Returns:
    possible object is `String`

### setIssueTime

    public void setIssueTime(org.joda.time.DateTime value)

  Sets the value of the issueTime property.

  Parameters:
    `value` - allowed object is `String`

### getNumber

    public BigInteger getNumber()

  Gets the value of the number property.

  Returns:
    possible object is `BigInteger`

### setNumber

    public void setNumber(BigInteger value)

  Sets the value of the number property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getURI

    public String getURI()

  Gets the value of the uri property.

  Returns:
    possible object is `String`

### setURI

    public void setURI(String value)

  Sets the value of the uri property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.